FAQ

Atmark Distのビルド中にrakeでエラーが発生する

ATDE5 v20141212を使用して、Atmark Dist v20150127をArmadillo-IoT-Stdプロファイルでビルドすると、下記のようにエラー終了します。

<

pre class="console">

make[2]: ディレクトリ `/home/atmark/atmark-dist/user/http_parser.rb' に入ります
rake RUBY_CC_VERSION=2.1.2 CROSS_PLATFORM=arm-linux-gnueabi cross compile
fatal: Not a git repository (or any of the parent directories): .git
rake aborted!
cannot load such file -- rspec/core/rake_task
tasks/spec.rake:1:in `<top (required)>'
/home/atmark/atmark-dist/user/http_parser.rb/Rakefile:2:in `load'
/home/atmark/atmark-dist/user/http_parser.rb/Rakefile:2:in `block in <top (required)>'
/home/atmark/atmark-dist/user/http_parser.rb/Rakefile:2:in `each'
/home/atmark/atmark-dist/user/http_parser.rb/Rakefile:2:in `<top (required)>'
(See full trace by running task with --trace)
make[2]: *** [build] エラー 1
make[2]: ディレクトリ `/home/atmark/atmark-dist/user/http_parser.rb' から出ます
make[1]: *** [all] エラー 2
make[1]: ディレクトリ `/home/atmark/atmark-dist/user' から出ます
make: *** [subdirs] エラー 1
</pre>

これは、ATDEにいくつかのパッケージが不足していることが原因です。 下記のように、開発ソフトウェアパッケージを追加してください。

一般ユーザー(atmark)で実行するコマンド

<

pre class="console">

atmark@atde5:~$ <b>gem install yard rspec</b>
</pre>